Sentiment Analysis
curl --request GET \
--url https://api.agntdata.dev/v1/data/x/ai/sentiment-analysis \
--header 'Authorization: <api-key>'import requests
url = "https://api.agntdata.dev/v1/data/x/ai/sentiment-analysis"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.agntdata.dev/v1/data/x/ai/sentiment-analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "You can not be a platform that allows almost every opinion to be aired and lose traffic. People want to share their opinion on platforms they know freedom of speech exists to a very large extent. I get 99% of my news here on X, which is like days ahead of traditional media.",
"hash": "2d252f081fb05785cee399e372664a2687a2c1fdfe71b4c64806a30175b9672d",
"trace_id": "2d8f5178-b848-4623-b1de-d8ec904e58f1",
"sentiment": {
"value": "POSITIVE",
"confidence": 0.7711061835289001
},
"elapsed_time": 0.17128494009375572
}AI
Sentiment Analysis
Analyze text to determine if the emotional tone of the message is positive, negative, or neutral.
GET
/
v1
/
data
/
x
/
ai
/
sentiment-analysis
Sentiment Analysis
Authorizations
Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...
Query Parameters
text
string
default:You can not be a platform that allows almost every opinion to be aired and lose traffic. People want to share their opinion on platforms they know freedom of speech exists to a very large extent. I get 99% of my news here on X, which is like days ahead of traditional media.
required
⌘I